Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 3421)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 3426)
@@ -29,7 +29,7 @@
 request = REQUEST
 
-manage = "manage" in request.keys()
+#manage = "manage" in request.keys()
 screening_types = ('prence','pume','pce','pde','cest','sandwich')
-if not (traverse_subpath and traverse_subpath[0] in screening_types) and not manage:
+if not (traverse_subpath and traverse_subpath[0] in screening_types):
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 configuration = []
@@ -102,5 +102,5 @@
 mode = request.get('mode','')
 if not mode:
-    if apply_admission or edit or manage:
+    if apply_admission or edit:
         mode = "edit"
     elif slip:
@@ -110,6 +110,4 @@
 validate = create or edit or apply_admission
 
-if manage:
-    validate = False
 without_reg_no = False
 
@@ -177,14 +175,14 @@
         submitted = True
     # cannot happen anymore but anyway
-    if not (create or slip) and (pin != object['pin'] and not context.isSectionOfficer()):
-        logger.info('%s/%s entered wrong pin %s' % (member,reg_no,pin))
-        return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+    #if not (create or slip) and (pin != object['pin'] and not context.isSectionOfficer()):
+    #    logger.info('%s/%s entered wrong pin %s' % (member,reg_no,pin))
+    #    return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 
     #rerender with current object = application-record
-    
+
     if slip:
         mode = "view_slip"
         logger.info('%s/%s views application slip' % (member,reg_no))
-    
+
     res,psm,ds = lt.renderLayout(layout_id= layout,
                                 schema_id= 'import_application',
@@ -201,6 +199,6 @@
                                             ds = ds,
                                             info = info,
-                                           )                                
-                                
+                                           )
+
     if psm == 'invalid':
         return context.apply_admission_form(rendered = res,
@@ -224,22 +222,6 @@
         data[field] = dm.get(field)
 data['reg_no'] = reg_no
-if manage:
-    if submitted:
-        mode = "view"
-        psm = "You are now assuming the applicant's role!"
-        logger.info('%s/%s entered application record' % (member,reg_no))
-        # res,psm_dummy,ds_dummy = lt.renderLayout(layout_id= layout,
-        #                         schema_id= 'import_application',
-        #                         layout_mode = mode,
-        #                         context=context,
-        #                         mapping={},
-        #                         ob=object,
-        #                         commit = False,
-        #                         )
-    else:
-        mode = "edit"
-        psm = "You are now assuming the applicant's role!"
-        logger.info('%s/%s entered application record' % (member,reg_no))
-elif apply_admission:
+
+if apply_admission:
     if submitted:
         mode = "view"
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 3421)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 3426)
@@ -41,5 +41,5 @@
           <div tal:replace="structure rendered_main" />
           
-          <metal:block tal:condition="python: show_submit and mode == 'edit'">
+          <metal:block tal:condition="python: show_submit and mode == 'edit' and not expired">
             <br/>
             <input type="checkbox" class="standalone" 
@@ -55,5 +55,5 @@
                  name="edit"
                  value="Save" 
-                 tal:condition="python: mode == 'edit' and not expired" />
+                 tal:condition="python: mode == 'edit'" />
           <input type="submit" class="standalone" name="apply"
                  value="Final Submit"
